from functools import singledispatch

@singledispatch
def func(arg):
    """
    My function does something

    Args:
        arg: My argument

    """
    print("Default", arg)

@func.register
def _(arg: int):
    print("Int: ", arg)

@func.register
def _(arg: str):
    print("Str: ", arg)

if __name__ == '__main__':
    func(10.5)
    func(10)
    func("10")
